Bug 1574679 - kernel BUG at >>drivers/net/wireless/intel/iwlwifi/pcie/rx.c:425!
Summary: kernel BUG at >>drivers/net/wireless/intel/iwlwifi/pcie/rx.c:425!
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-03 20:22 UTC by Jonathan
Modified: 2018-06-27 21:44 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-06-27 21:44:59 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jonathan 2018-05-03 20:22:28 UTC
Description of problem:
The Intel® Wireless-AC 9260 (on Gigabyte x470 Gaming 7 board) causes the firmware/kernel to fail. I have the latest bios installed.

Version-Release number of selected component (if applicable):
Fedora 28 (kernel 4.16.5-300.fc28.x86_64)


How reproducible:
Install Fedora 28 standard and dnf update. The Intel 9260 Wifi interface does not show up even though iwlwifi is loaded with modprobe.

Actual results:
dmsg:
kernel BUG at
>>drivers/net/wireless/intel/iwlwifi/pcie/rx.c:425!
in
[    5.949573] iwlwifi 0000:06:00.0: enabling device (0000 -> 0002)
[    5.956596] iwlwifi 0000:06:00.0: Direct firmware load for iwlwifi-9260-th-b0-jf-b0-36.ucode failed with error -2
[    5.956607] iwlwifi 0000:06:00.0: Direct firmware load for iwlwifi-9260-th-b0-jf-b0-35.ucode failed with error -2
[    5.970257] iwlwifi 0000:06:00.0: loaded firmware version 34.0.0 op_mode iwlmvm
[    6.056544] iwlwifi 0000:06:00.0: Detected Intel(R) Dual Band Wireless AC 9260, REV=0x324
[    6.062623] kernel BUG at drivers/net/wireless/intel/iwlwifi/pcie/rx.c:425!
[    6.062680] Modules linked in: iwlmvm(+) edac_mce_amd mac80211 kvm_amd kvm snd_hda_codec_realtek snd_hda_codec_generic irqbypass crct10dif_pclmul crc32_pclmul snd_usb_audio(+) uvcvideo snd_hda_intel btusb drm_kms_helper iwlwifi btrtl btbcm ghash_clmulni_intel videobuf2_vmalloc btintel snd_hda_codec videobuf2_memops snd_usbmidi_lib videobuf2_v4l2 snd_hda_core drm bluetooth videobuf2_common snd_rawmidi snd_hwdep videodev snd_seq cfg80211 snd_seq_device media joydev snd_pcm ipmi_devintf ipmi_msghandler snd_timer ecdh_generic snd wmi_bmof rfkill soundcore sp5100_tco i2c_piix4 k10temp ccp shpchp acpi_cpufreq binfmt_misc hid_apple mxm_wmi igb crc32c_intel ptp pps_core dca i2c_algo_bit wmi
[    6.063032] RIP: 0010:iwl_pcie_rxq_alloc_rbs+0x182/0x1f0 [iwlwifi]
[    6.063340]  _iwl_pcie_rx_init+0x25c/0x730 [iwlwifi]
[    6.063366]  iwl_pcie_rx_init+0x2b/0x3b0 [iwlwifi]
[    6.063392]  iwl_trans_pcie_start_fw+0x293/0x6b0 [iwlwifi]
[    6.063548]  ? iwl_trans_pcie_start_hw+0x59/0x1b0 [iwlwifi]
[    6.063607]  _iwl_op_mode_start.isra.8+0x47/0xa0 [iwlwifi]
[    6.063652]  iwl_opmode_register+0x6f/0xe0 [iwlwifi]


Expected results:
Wifi interface should up with ifconfig.


Additional info:
There's a kernel bug filed here 
https://bugzilla.kernel.org/show_bug.cgi?id=199551

Comment 1 Jonathan 2018-05-10 14:56:13 UTC
The issue has been fixed, but hasn't made it upstream yet. See below comment from the kernel bugzilla ticket.
https://bugzilla.kernel.org/show_bug.cgi?id=199551

> Emmanuel Grumbach 2018-05-10 07:53:00 UTC
> Fix is now merged in our internal tree 
> https://git.kernel.org/pub/scm/linux/kernel/git/iwlwifi/backport-iwlwifi.git/
> It'll follow the regular process to upstream kernel.

Comment 2 Eric Smith 2018-06-27 21:18:47 UTC
The fix is in upstream kernel 4.17, so it's probably in Fedora kernel-4.17.2-200.fc28.

Comment 3 Laura Abbott 2018-06-27 21:44:59 UTC
Thanks for letting us know.


Note You need to log in before you can comment on or make changes to this bug.